Bug 44218 - Bad: internal compiler error
Bad: internal compiler error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-12 04:18 EDT by Mahendi Shelia
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-12 04:26:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mahendi Shelia 2001-06-12 04:18:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
This files working very well with solaris and another operating system.

How reproducible:
Always

Steps to Reproduce:
1./*******Related to Porting linux finding bug ********/


/* This is nested class generated by dset asn compiler . This class 
working very well with solaris7.0,solaris 8.0 , hp10,nt4.0 , AIX and real 
time operating system psos and vxworks But show error with Redhat linux 
7.0 */




class D_AttributeValueAssertion : public _NS_ASN1_ StructuredData {
public:
    class attributeType {
    public:
      typedef D_AttributeType value_type;
      typedef value_type& reference;
      typedef const value_type& const_reference;
      typedef value_type* pointer;
      typedef const value_type* const_pointer;
    };

    class attributeValue {
    public:
      typedef D_AttributeValue value_type;
      typedef value_type& reference;
      typedef const value_type& const_reference;
      typedef value_type* pointer;
      typedef const value_type* const_pointer;
    };

    D_AttributeValueAssertion::attributeType::value_type attributeType;
    D_AttributeValueAssertion::attributeValue::value_type attributeValue;

private:

    _NS_ASN1_ AbstractData *elems[2];

    inline void _init_once(void);
    inline void _init(void);
    inline void _deinit(void);

public:
    void init(initop, D_AdNd *pNdP, int nth) {
      nodeP = D_ad_child(pNdP, nth);
      _init();
    }

    inline D_AttributeValueAssertion(initop, D_AdNd* ndp = 0);
    inline D_AttributeValueAssertion& operator= (const 
D_AttributeValueAssertion& v);
    ~D_AttributeValueAssertion() { _deinit(); }

    static D_AttributeValueAssertion *create(D_AdNd* ndp = 0);







    inline D_AttributeValueAssertion();
    inline D_AttributeValueAssertion(const D_AttributeValueAssertion& 
that);
    _NS_ASN1_ AbstractData *clone() const { return new 
D_AttributeValueAssertion(*this); }
    inline D_AttributeValueAssertion(const attributeType::value_type& v0,
                                     const attributeValue::value_type& v1);

    inline attributeType::const_reference get_attributeType() const;
    inline attributeType::reference ref_attributeType();
    inline attributeType::reference set_attributeType
(attributeType::const_reference);

    inline attributeValue::const_reference get_attributeValue() const;
    inline attributeValue::reference ref_attributeValue();
    inline attributeValue::reference set_attributeValue
(attributeValue::const_reference);

};  // D_AttributeValueAssertion




/*This class used by one inline function they show error in Redhat
 linux7.0. below this is code part with line number 528,529,...... */

    528 inline D_AttributeValueAssertion::D_AttributeValueAssertion(const 
D_AttributeValueAssertion::attributeType::value_type& v0,
    529 const 
D_AttributeValueAssertion::attributeValue::value_type& v1) :
    530   attributeType(nop),  attributeValue(nop)
    531 {
    532   _create(&_D_AttributeValueAssertion, 0, 0);
    533   _init_once();
    534   _init();
    535   set_attributeType(v0);
    536   set_attributeValue(v1);
    537 }
    538 
    539 inline D_AttributeValueAssertion::attributeType::const_reference 
D_AttributeValueAssertion::get_attributeType() const {
    540   return (attributeType::const_reference) get((unsigned int) 0);
    541 }
    542 inline D_AttributeValueAssertion::attributeType::reference 
D_AttributeValueAssertion::ref_attributeType() {
    543   return (attributeType::reference) ref((unsigned int) 0);
    544 }
    545 inline D_AttributeValueAssertion::attributeType::reference 
D_AttributeValueAssertion::set_attributeType
(D_AttributeValueAssertion::attributeType::const_reference v) {
    546   return (attributeType::reference) set((unsigned int) 0, v);
    547 }
    548 
    549 inline D_AttributeValueAssertion::attributeValue::const_reference 
D_AttributeValueAssertion::get_attributeValue() const {
    550   return (attributeValue::const_reference) get(1);
    551 }
    552 inline D_AttributeValueAssertion::attributeValue::reference 
D_AttributeValueAssertion::ref_attributeValue() {
    553   return (attributeValue::reference) ref(1);
    554 }
    555 inline D_AttributeValueAssertion::attributeValue::reference 
D_AttributeValueAssertion::set_attributeValue
(D_AttributeValueAssertion::attributeValue::const_reference v) {
    556   return (attributeValue::reference) set(1, v);
    557 }
    558 
    559 DSET_MODULESPACE_END(InformationFramework)
    560 
    561 #endif
    562 
    563 DSET_MODULESPACE_BEGIN(InformationFramework)
    564 #ifndef _DSET_M_D_D_x500_asn_id0_
    565 #define _DSET_M_D_D_x500_asn_id0_
    566 inline void D_D_x500_asn_id0::_init() {
    567   long cap = capacity();
    568   long kob = kobjs;



/* Redhat 7.0 generate the following  output */

/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:528: parse error 
before `::'
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:533: ISO C++ forbids 
declaration of `_init_once' 
with no type
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:534: ISO C++ forbids 
declaration of `_init' with 
no type
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:535: `v0' was not 
declared in this scope
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:535: ISO C++ forbids 
declaration of 
`set_attributeType' with no type
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:536: `v1' was not 
declared in this scope
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:536: ISO C++ forbids 
declaration of 
`set_attributeValue' with no type
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:539: syntax error 
before `::'
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:542: syntax error 
before `::'
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:545: syntax error 
before `::'
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:549: syntax error 
before `::'
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:552: syntax error 
before `::'
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:555: syntax error 
before `::'
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:563: Internal error 
#386.
/home/mahendi/pro/DsetSrc/h/dset-asn/C++/D_x500.asn.h:563: Internal 
compiler error in 
resume_binding_level, at ../gcc/cp/decl.c:690
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.
make: *** [TC_CMAE.o] Error 1





***************************************************************************
****

2.
3.
	

Additional info:
Comment 1 Jakub Jelinek 2001-06-12 04:26:48 EDT
As I said, you need to provide full preprocessed source.
There is no definition of StructuredData, _NS_ASN1_ and many other things
in your example. You can get preprocessed source either from running the
same g++ command with -save-temps option, or from running g++ -E and redirect
the output to a file (or use -o file.ii).
Comment 2 Jakub Jelinek 2001-07-23 11:25:03 EDT
Closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.